pcl::gpu::SpinImageEstimation Class Reference

Class for SpinImages estimation. More...

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/features/include/pcl/gpu/features/features.hpp>`

Inheritance diagram for pcl::gpu::SpinImageEstimation:

## Public Types

typedef Histogram< 153 > | SpinImage
Public Types inherited from pcl::gpu::Feature
typedef PointXYZ | PointType
typedef PointXYZ | NormalType
typedef DeviceArray< PointType > | PointCloud
typedef DeviceArray< NormalType > | Normals
typedef DeviceArray< int > | Indices

## Public Member Functions

| SpinImageEstimation (unsigned int image_width=8, double support_angle_cos=0.0, unsigned int min_pts_neighb=0)
void | setImageWidth (unsigned int bin_count)
void | setSupportAngle (float support_angle_cos)
void | setMinPointCountInNeighbourhood (unsigned int min_pts_neighb)
void | setInputWithNormals (const PointCloud &input, const Normals &normals)
void | setSearchSurfaceWithNormals (const PointCloud &surface, const Normals &normals)
void | setRotationAxis (const NormalType &axis)
void | setInputRotationAxes (const Normals &axes)
void | useNormalsAsRotationAxis ()
void | setAngularDomain (bool is_angular=true)
void | setRadialStructure (bool is_radial=true)
void | compute (DeviceArray2D< SpinImage > &features, DeviceArray< unsigned char > &mask)
Public Member Functions inherited from pcl::gpu::FeatureFromNormals
void | setInputNormals (const Normals &normals)
Public Member Functions inherited from pcl::gpu::Feature
| Feature ()
void | setInputCloud (const PointCloud &cloud)
void | setSearchSurface (const PointCloud &surface)
void | setIndices (const Indices &indices)
void | setRadiusSearch (float radius, int max_results)

## Additional Inherited Members

Protected Attributes inherited from pcl::gpu::FeatureFromNormals
Normals | normals_
Protected Attributes inherited from pcl::gpu::Feature
PointCloud | cloud_
PointCloud | surface_
Indices | indices_
float | radius_
int | max_results_
Octree | octree_

## Detailed Description

Class for SpinImages estimation.

Definition at line 256 of file features.hpp.

## Member Typedef Documentation

## SpinImage

typedef Histogram<153> pcl::gpu::SpinImageEstimation::SpinImage

Definition at line 259 of file features.hpp.

## Constructor & Destructor Documentation

## SpinImageEstimation()

pcl::gpu::SpinImageEstimation::SpinImageEstimation | ( | unsigned int | image_width = `8`,
|  | double | support_angle_cos = `0.0`,
|  | unsigned int | min_pts_neighb = `0`
| ) |  |

## Member Function Documentation

## compute()

void pcl::gpu::SpinImageEstimation::compute | ( | DeviceArray2D< SpinImage > & | features,
|  | DeviceArray< unsigned char > & | mask
| ) |  |

## setAngularDomain()

void pcl::gpu::SpinImageEstimation::setAngularDomain | ( | bool | is_angular = `true` | ) |

## setImageWidth()

void pcl::gpu::SpinImageEstimation::setImageWidth | ( | unsigned int | bin_count | ) |

## setInputRotationAxes()

void pcl::gpu::SpinImageEstimation::setInputRotationAxes | ( | const Normals & | axes | ) |

## setInputWithNormals()

void pcl::gpu::SpinImageEstimation::setInputWithNormals | ( | const PointCloud & | input,
|  | const Normals & | normals
| ) |  |

## setMinPointCountInNeighbourhood()

void pcl::gpu::SpinImageEstimation::setMinPointCountInNeighbourhood | ( | unsigned int | min_pts_neighb | ) |

## setRadialStructure()

void pcl::gpu::SpinImageEstimation::setRadialStructure | ( | bool | is_radial = `true` | ) |

## setRotationAxis()

void pcl::gpu::SpinImageEstimation::setRotationAxis | ( | const NormalType & | axis | ) |

## setSearchSurfaceWithNormals()

void pcl::gpu::SpinImageEstimation::setSearchSurfaceWithNormals | ( | const PointCloud & | surface,
|  | const Normals & | normals
| ) |  |

## setSupportAngle()

void pcl::gpu::SpinImageEstimation::setSupportAngle | ( | float | support_angle_cos | ) |

## useNormalsAsRotationAxis()

void pcl::gpu::SpinImageEstimation::useNormalsAsRotationAxis | ( |  | ) |

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/features/include/pcl/gpu/features/features.hpp